Bug 505449 - IDE CDROM causes continual system hangs
IDE CDROM causes continual system hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 18:51 EDT by Steve Hanson
Modified: 2010-06-28 08:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Message File (89.19 KB, application/octet-stream)
2009-06-11 18:52 EDT, Steve Hanson
no flags Details

  None (edit)
Description Steve Hanson 2009-06-11 18:51:07 EDT
Description of problem:Acer 3680 laptop - installation went flawlessly, but the system runs with difficulty after the install. Whenever the system attempts to access the CDROM, the ATA connection (PATA CDROM) times out, and attempts to change to a new connection speed, and eventually gives up and disables the CDROM. 

Example from /var/log/messages:
Jun 11 17:41:09 acer kernel: ata1.01: qc timeout (cmd 0xa0)
Jun 11 17:41:09 acer kernel: ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Jun 11 17:41:09 acer kernel: ata1.01: cmd a0/00:00:00:00:00/00:00:00:00:00/b0 tag 0
Jun 11 17:41:09 acer kernel:         cdb 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
Jun 11 17:41:09 acer kernel:         res 51/20:03:00:00:00/00:00:00:00:00/b0 Emask 0x5 (timeout)
Jun 11 17:41:09 acer kernel: ata1.01: status: { DRDY ERR }
Jun 11 17:41:09 acer kernel: ata1: soft resetting link
Jun 11 17:41:09 acer kernel: ata1.00: configured for UDMA/100
Jun 11 17:41:09 acer kernel: ata1.01: configured for PIO3
Jun 11 17:41:09 acer kernel: ata1: EH complete
Jun 11 17:41:09 acer kernel: sd 0:0:0:0: [sda] 312581808 512-byte hardware sectors: (160 GB/149 GiB)
Jun 11 17:41:10 acer kernel: sd 0:0:0:0: [sda] Write Protect is off
Jun 11 17:41:10 acer kernel: sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Jun 11 17:41:10 acer kernel: sd 0:0:0:0: [sda] 312581808 512-byte hardware sectors: (160 GB/149 GiB)
Jun 11 17:41:10 acer kernel: sd 0:0:0:0: [sda] Write Protect is off
Jun 11 17:41:10 acer kernel: sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA



Version-Release number of selected component (if applicable):

Fedora  11 Initial release -- occurs whether it is an upgrade or a fresh install

How reproducible:
Install OS, use laptop

Steps to Reproduce:
1.
2.
3.
  
Actual results:
System hangs several times during use, then bus resets, then cdrom is usually disabled after several hangs.

Expected results:
CDROM works without hanging.  

Additional info:
This system has worked fine on Fedora 10
Comment 1 Steve Hanson 2009-06-11 18:52:19 EDT
Created attachment 347494 [details]
Message File
Comment 2 Chuck Ebbert 2009-06-16 00:43:11 EDT
Try adding pci=nomsi to the kernel boot options.
Comment 3 Steve Hanson 2009-06-16 19:40:26 EDT
No joy there - system still behaves the same way and logs the same errors.
Comment 4 Jonathan Underwood 2009-07-30 13:14:58 EDT
I see the same thing over and over:

ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
ata2.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
         cdb 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata2.00: status: { DRDY }
ata2.00: hard resetting link
ata2.01: hard resetting link
ata2.00: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata2.01: SATA link down (SStatus 4 SControl 300)
ata2.00: configured for UDMA/33
ata2: EH complete


latencytop lists accessing the CDrom as being a high cause of latency for many apps as well, oddly. (There's no CD in the drive)

This machine:
http://www.smolts.org/client/show/pub_59bde266-9519-4163-9247-23c03b66c3c9 (public)
Comment 5 Bug Zapper 2010-04-27 10:47:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 08:54:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.